osp_tests.c File Reference
`#include "osp.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Functions

| Describe (osp)
| BeforeEach (osp)
| AfterEach (osp)
| Ensure (osp, osp_new_target_never_returns_null)
| Ensure (osp, osp_new_conn_ret_null)
| Ensure (osp, osp_get_vts_no_vts_ret_error)
| Ensure (osp, osp_get_vts_no_conn_ret_error)
| Ensure (osp, osp_target_add_alive_test_methods)
| Ensure (osp, target_append_as_xml)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | osp |  | ) |

## BeforeEach()

BeforeEach | ( | osp |  | ) |

## Describe()

Describe | ( | osp |  | ) |

## Ensure() [1/6]

Ensure | ( | osp | ,
|  | osp_get_vts_no_conn_ret_error |
| ) |  |

## Ensure() [2/6]

Ensure | ( | osp | ,
|  | osp_get_vts_no_vts_ret_error |
| ) |  |

## Ensure() [3/6]

Ensure | ( | osp | ,
|  | osp_new_conn_ret_null |
| ) |  |

## Ensure() [4/6]

Ensure | ( | osp | ,
|  | osp_new_target_never_returns_null |
| ) |  |

## Ensure() [5/6]

Ensure | ( | osp | ,
|  | osp_target_add_alive_test_methods |
| ) |  |

## Ensure() [6/6]

Ensure | ( | osp | ,
|  | target_append_as_xml |
| ) |  |

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |